import request from "@/utils/request";
import {parseTime} from "@/utils/common";

// 查询充电站信息列表
export function listStation(query) {
  return request({
    url: "/pile/station/list",
    method: "get",
    params: query,
  });
}

// 查询充电站信息详细
export function getStation(id) {
  return request({
    url: "/pile/station/" + id,
    method: "get",
  });
}

// 查询充电站信息详细
export function getStationInfo(stationId) {
  return request({
    url: "/pile/station/getStationInfo/" + stationId,
    method: "get",
  });
}

// 根据运营商id 查询充电站列表
export function getStationListByMerchantId(merchantId) {
  return request({
    url: "/pile/station/selectStationListByMerchantId",
    method: "post",
    data: {
      merchantId: merchantId,
    },
  });
}

// 新增充电站信息
export function addStation(data) {
  return request({
    url: "/pile/station",
    method: "post",
    data: data,
  });
}

// 修改充电站信息
export function updateStation(data) {
  console.log("修改充电站信息data", data)
  return request({
    url: "/pile/station",
    method: "put",
    data: data,
  });
}

// 删除充电站信息
export function delStation(id) {
  return request({
    url: "/pile/station/" + id,
    method: "delete",
  });
}

// 快速建站接口
export function fastCreateStation(data) {
  return request({
    url: "/pile/station/fastCreateStation",
    method: "post",
    data: data,
  });
}

// 下发二维码
export function updateStationQRCodePrefix(data) {
  return request({
    url: "/pile/station/updateStationQRCodePrefix",
    method: "post",
    data: data,
  });
}

/**
 * 查询站点互联互通配置
 * @param id
 * @returns {AxiosPromise}
 */
export function getSettingByStationId(id) {
  return request({
    url: "/pile/station/getSettingByStationId/" + id,
    method: "get",
  });
}

// 查询站点互联互通配置
export function getSettingInfo(data) {
  return request({
    url: "/pile/station/getSettingInfo",
    method: "post",
    data: data,
  });
}

// 修改站点互联互通配置
export function updateSettingByStationId(data) {
  return request({
    url: "/pile/station/updateSettingByStationId",
    method: "post",
    data: data,
  })
}

// export function insertSettingInfo(data) {
//   return request({
//     url: "/pile/station/insertSettingInfo",
//     method: "post",
//     data: data,
//   })
// }

export function pushStationInfo(data) {
  return request({
    url: "/pile/station/pushStationInfo",
    method: "post",
    data: data,
  })
}
